Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Mon, 2 Jul 2018 19:29:51 -0300

> Youʼre confusing a proof-of-concept patch with a final implementation
> :-)

No, it's ok, it was meant to be just a heads up.

> Actually, if _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED and '(undecorated t)
> result in the same visuals, why donʼt we do the latter when we
> maximize a frame (with a variable to control it of course). Does that
> not avoid more of the differences between window managers?

See my previous email detailing why this might be a bad idea, namely:
unreliable response from WMs and no adequate hook in emacs. We have
control only over the second one.